<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Namespace: handler</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Namespace: handler</h1>

    




<section>

<header>
    
        <h2>handler</h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"><p>Generate inner namespace of the startFileExample</p></div>
        

        


<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line230">line 230</a>
    </li></ul></dd>
    

    

    

    
</dl>


        
    
    </div>

    

    

    

    

    

    

    
        <h3 class="subsection-title">Members</h3>

        
            
<h4 class="name" id=".comprObj"><span class="type-signature">(static) </span>comprObj<span class="type-signature"></span></h4>




<div class="description">
    <p>compressor : Instance of turbine object</p>
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line374">line 374</a>
    </li></ul></dd>
    

    

    
    <dt class="tag-see">See:</dt>
    <dd class="tag-see">
        <ul>
            <li><a href="data.handler.html#.Turbine"><code>data.handler.Turbine</code></a></li>
        </ul>
    </dd>
    

    
</dl>






        
            
<h4 class="name" id=".headAr"><span class="type-signature">(static) </span>headAr<span class="type-signature"></span></h4>




<div class="description">
    <p>array of turbine &amp; compressor objects</p>
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line389">line 389</a>
    </li></ul></dd>
    

    

    
    <dt class="tag-see">See:</dt>
    <dd class="tag-see">
        <ul>
            <li><a href="data.handler.html#.Turbine"><code>data.handler.Turbine</code></a></li>
        </ul>
    </dd>
    

    
</dl>






        
            
<h4 class="name" id=".headline"><span class="type-signature">(static) </span>headline<span class="type-signature"></span></h4>




<div class="description">
    <p>all rows in the engine model cal. value table</p>
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line396">line 396</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id=".nds"><span class="type-signature">(static) </span>nds<span class="type-signature"></span></h4>




<div class="description">
    <p>Removes the current selection object from the HTML DOM</p>
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line421">line 421</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id=".ndsData"><span class="type-signature">(static) </span>ndsData<span class="type-signature"></span></h4>




<div class="description">
    <p>all rows in the engine model cal. value table</p>
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line458">line 458</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id=".Obj"><span class="type-signature">(static) </span>Obj<span class="type-signature"> :object</span></h4>




<div class="description">
    <p>javacript object created from Json report</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">object</span>


        </li>
    </ul>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line254">line 254</a>
    </li></ul></dd>
    

    

    

    
</dl>






        
            
<h4 class="name" id=".TurbineObj"><span class="type-signature">(static) </span>TurbineObj<span class="type-signature"></span></h4>




<div class="description">
    <p>Instance of turbine object</p>
</div>







<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line359">line 359</a>
    </li></ul></dd>
    

    

    
    <dt class="tag-see">See:</dt>
    <dd class="tag-see">
        <ul>
            <li><a href="data.handler.html#.Turbine"><code>data.handler.Turbine</code></a></li>
        </ul>
    </dd>
    

    
</dl>






        
    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id=".forconfigArray"><span class="type-signature">(static) </span>forconfigArray<span class="signature">(k, ConfigArray)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>creates a specific push button for all engine model data
and assigns a specific editor to the button. The editor gets activated
on pushing the button.
Foo object (@see: <code>module:handleModelData</code>)</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>k</code></td>
            

            <td class="type">
            
                
<span class="param-type">obj</span>


            
            </td>

            

            

            <td class="description last"><p>iterator over postgres data</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>ConfigArray</code></td>
            

            <td class="type">
            
                
<span class="param-type">obj</span>


            
            </td>

            

            

            <td class="description last"><p>handler function</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line262">line 262</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id=".forLoopFeedDataIntoTurbCmprCrvStruct"><span class="type-signature">(static) </span>forLoopFeedDataIntoTurbCmprCrvStruct<span class="signature">(HTMLTableLenght, nodes)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>creates a specific push button for all engine model data
and assigns a specific editor to the button. The editor gets activated
on pushing the button.
Foo object (@see: <code>module:handleModelData</code>)</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>HTMLTableLenght</code></td>
            

            <td class="type">
            
                
<span class="param-type">obj</span>


            
            </td>

            

            

            <td class="description last"><p>iterator over postgres data</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>nodes</code></td>
            

            <td class="type">
            
                
<span class="param-type">obj</span>


            
            </td>

            

            

            <td class="description last"><p>handler function</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line462">line 462</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id=".forLoopFindIndexNNumberOfCols"><span class="type-signature">(static) </span>forLoopFindIndexNNumberOfCols<span class="signature">(HTMLTableLenght, nodes)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>find no of columns and index column<br>
Foo object (@see: <code>module:handleModelData</code>)</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>HTMLTableLenght</code></td>
            

            <td class="type">
            
                
<span class="param-type">obj</span>


            
            </td>

            

            

            <td class="description last"><p>iterator over postgres data</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>nodes</code></td>
            

            <td class="type">
            
                
<span class="param-type">obj</span>


            
            </td>

            

            

            <td class="description last"><p>handler function</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line423">line 423</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id=".forLoopHTMLTable"><span class="type-signature">(static) </span>forLoopHTMLTable<span class="signature">(HTMLTableLenght, nodes)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>creates a specific push button for all engine model data
and assigns a specific editor to the button. The editor gets activated
on pushing the button.
Foo object (@see: <code>module:handleModelData</code>)</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>HTMLTableLenght</code></td>
            

            <td class="type">
            
                
<span class="param-type">obj</span>


            
            </td>

            

            

            <td class="description last"><p>iterator over postgres data</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>nodes</code></td>
            

            <td class="type">
            
                
<span class="param-type">obj</span>


            
            </td>

            

            

            <td class="description last"><p>handler function</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line316">line 316</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id=".forLoopTurbineCompressor"><span class="type-signature">(static) </span>forLoopTurbineCompressor<span class="signature">(HTMLTableLenght, nodes)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>creates a specific push button for all engine model data
and assigns a specific editor to the button. The editor gets activated
on pushing the button.
Foo object (@see: <code>module:handleModelData</code>)</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>HTMLTableLenght</code></td>
            

            <td class="type">
            
                
<span class="param-type">obj</span>


            
            </td>

            

            

            <td class="description last"><p>iterator over postgres data</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>nodes</code></td>
            

            <td class="type">
            
                
<span class="param-type">obj</span>


            
            </td>

            

            

            <td class="description last"><p>handler function</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line397">line 397</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id=".insertHeadline"><span class="type-signature">(static) </span>insertHeadline<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line256">line 256</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id=".insertRow"><span class="type-signature">(static) </span>insertRow<span class="signature">(collector, data)</span><span class="type-signature"></span></h4>
    

    











    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>collector</code></td>
            

            <td class="type">
            
                
<span class="param-type">obj</span>


            
            </td>

            

            

            <td class="description last"><p>handler function</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>data</code></td>
            

            <td class="type">
            
                
<span class="param-type">obj</span>


            
            </td>

            

            

            <td class="description last"><p>handler function</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line293">line 293</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    
        <h3 class="subsection-title">Type Definitions</h3>

        
                
<h4 class="name" id=".Turbine">Turbine</h4>




<div class="description">
    <p>Turbine object</p>
</div>



    <h5>Type:</h5>
    <ul>
        <li>
            
<span class="param-type">object</span>


        </li>
    </ul>





    <h5 class="subsection-title">Properties:</h5>

    

<table class="props">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>name</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>iterator over postgres data</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>trig</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>handler function</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>trigNo</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>handler function</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>colNames</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            

            <td class="description last"><p>handler function</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>colNmbrs[3</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array.&lt;number></span>


            
            </td>

            

            

            <td class="description last"><p>handler function</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>databuf</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array.&lt;number></span>


            
            </td>

            

            

            <td class="description last"><p>handler function</p></td>
        </tr>

    
    </tbody>
</table>




<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="Script_handleModelData.js.html">Script/handleModelData.js</a>, <a href="Script_handleModelData.js.html#line340">line 340</a>
    </li></ul></dd>
    

    

    

    
</dl>






            
    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Connected Controls Web App Docu</a></h2><h3>Modules</h3><ul><li><a href="module-a_index_server.html">a_index_server</a></li><li><a href="module-b_create_caldata_buttons_client.html">b_create_caldata_buttons_client</a></li><li><a href="module-c_socketCom_server.html">c_socketCom_server</a></li><li><a href="module-d_handleModelData_client.html">d_handleModelData_client</a></li><li><a href="module-e_getModelStimulationData.html">e_getModelStimulationData</a></li><li><a href="module-f_getPostgresData_server.html">f_getPostgresData_server</a></li><li><a href="module-g_setPostgresData_server.html">g_setPostgresData_server</a></li><li><a href="module-h_deletePostgresData_server.html">h_deletePostgresData_server</a></li><li><a href="module-i_getPostgresWOsocket_server.html">i_getPostgresWOsocket_server</a></li><li><a href="module-j_updatePostgresData_server.html">j_updatePostgresData_server</a></li><li><a href="module-k_select-stimulation_client.html">k_select-stimulation_client</a></li></ul><h3>Namespaces</h3><ul><li><a href="audio.k_1_startStimulation.html">k_1_startStimulation</a></li><li><a href="data.b_1_dataviz.html">b_1_dataviz</a></li><li><a href="data.b_1_dataviz.b_1_1_socketevent.html">b_1_1_socketevent</a></li><li><a href="data.handler.html">handler</a></li><li><a href="data.insertRow.html">insertRow</a></li><li><a href="socket.socketfunction.html">socketfunction</a></li></ul><h3>Classes</h3><ul><li><a href="d3.html">d3</a></li><li><a href="express.html">express</a></li><li><a href="pool.html">pool</a></li><li><a href="response.html">response</a></li><li><a href="router.html">router</a></li><li><a href="selection.html">selection</a></li><li><a href="server.html">server</a></li><li><a href="socket.html">socket</a></li></ul><h3>Events</h3><ul><li><a href="data.b_1_dataviz.html#.event:thermdata">thermdata</a></li><li><a href="module-e_getModelStimulationData.html#~event:sendAudioFlPths">sendAudioFlPths</a></li><li><a href="socket.socketfunction.html#.event:connection">connection</a></li><li><a href="socket.socketfunction.html#.event:curvedata">curvedata</a></li><li><a href="socket.socketfunction.html#.event:disconnect">disconnect</a></li><li><a href="socket.socketfunction.html#.event:getAudioFlPths">getAudioFlPths</a></li><li><a href="socket.socketfunction.html#.event:getCurve">getCurve</a></li><li><a href="socket.socketfunction.html#.event:getTable">getTable</a></li><li><a href="socket.socketfunction.html#.event:initNewData">initNewData</a></li><li><a href="socket.socketfunction.html#.event:tabledata">tabledata</a></li><li><a href="socket.socketfunction.html#.event:time">time</a></li></ul><h3>Tutorials</h3><ul><li><a href="tutorial-codeAnalysisAndRefactoring.html">Static source code analysis and refactoring interface</a></li><li><a href="tutorial-graphicalEditor.html">Graphical editor for maps and curves</a></li><li><a href="tutorial-modelStimulation.html">Stimulation of physical and engine control models</a></li><li><a href="tutorial-signalselectNvisualize.html">Signal selection and display</a></li><li><a href="tutorial-staticEngineModel.html">Static combustion engine model</a></li></ul><h3>Global</h3><ul><li><a href="global.html#buildNav">buildNav</a></li><li><a href="global.html#publish">publish</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Wed Jul 28 2021 15:57:27 GMT+0200 (Mitteleuropäische Sommerzeit)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>